#pragma once

#include "..\munga\mission.h"

//##########################################################################
//###########################    Mission    ################################
//##########################################################################


class RPMission : public Mission
{
public:
	RPMission(NotationFile *notation_file, ResourceFile *resources);
	~RPMission();	

	void SetPlayerData(NotationFile *notation_file);

	Logical ScoreCompressionOn()
	{
	Check(this);
	return scoreCompression;
	}

protected:
	Logical scoreCompression;
};
